List Questions

Get all questions from a specific question bank (no pagination)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Question bank ID

Query parameters

searchstringOptional
Search in question text
categorystringOptional
Filter by category
subCategorystringOptional

Filter by sub-category

difficultyLevelstringOptional

Filter by difficulty: easy|medium|hard

questionTypestringOptional

Filter by type: mcq|coding|behavioral

sortBystringOptional

Sort by: createdAt|question|category|difficultyLevel (default: createdAt)

sortOrderstringOptional

asc|desc (default: desc)

Response

Questions retrieved successfully
successbooleanOptional
datalist of objectsOptional
timestampstringOptional
versionstringOptional

Errors

404
Not Found Error